.Dd 2016-06-12
.Dt NCI-GET-ASSIGNMENT-GRADES 1
.Os
.Sh NAME
.Nm nci-get-assignment-grades
.Nd Print grading information for some assignments from a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Oo
.Fl A
|
.Fl a
.Ar assignment-id
.Oo
.Fl a
.Ar assignment-id
.Oo ...
.Oc
.Oc
.Oc
.Oo
.Fl p
.Oc
.Oo
.Fl t
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and retrieves all submissions for a given
.Ar course-id
and all provided
.Ar assignment-id Ns s
.Pq or all assignments .
The printed information will be in CSV format
.Pq see RFC 4180 .
The encoding is whatever is returned by the Canvas installation, which
is probably UTF-8. There will be header line, of the form
.Pp
.Bl -column
.It Qo Name Qc , Ta Qo ID Qc , Ta Qo Ar course-id Ns :  Ns Ar assignment-id  Po Ar assignment-name Pc Qc ,  Ta ...
.El
.Pp
Following this will be one line for every student enrolled in
.Ar course-id .
The current grade for each assignment will be listed in the relevant
column. A blank entry indicates that no grade is yet listed. The letters
.Dq EX
indicate that the student has been excused from this assignment.
.Sh OPTIONS
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl a
An
.Ar assignment-id ,
as returned by
.Xr nci-list-assignments 1 .
Mutually exclusive with
.Fl A .
.It Fl A
Retrieve all assignments.  Mutually exclusive with
.Fl a .
.It Fl t
Include a column for the current total grade in the course, as well
as one for computed letter grades. Ungraded assignments are treated as
zeroes when performing this calculation.
.It Fl p
Include a column for the partial total grade in the course, as well
as one for partial computed letter grades. Ungraded assignments are
ignored when performing this calculation. See
.Sx BUGS.
.El
.Sh BUGS
The
.Fl p
and
.Fl t
arguments seem redundant. They differ in how assignments with empty
.Pq Dq
grades are handled. Even after an assignment's due date has passed,
it will still be ignored by
.Fl p
unless a grade has been explicitly given. Even before an assignment's
due date has passed, it will be treated as zero by
.Fl t .
This means that there is no way to request

.Dl Dq Give me students' current total grades in the course, treating empty assignments as zeroes but only considering assignments with due dates that have passed.
.Sh EXAMPLES
.Dl % nci-get-assignment-grades -c 1180637 -a 4089590 -a 4089592
.Dl Qo Name Qc , Qo ID Qc , Qo 1180637:4089590 (Exam 1) Qc , Qo 1180637:4089592 (Exam 3) Qc
.Dl Qo Arnold, Benedict Qc , Qo 399414 Qc , Qo 83.4 Qc , Qo  Qc
.Dl Qo Burr, Aaron Qc , Qo 348223 Qc , Qo 94 Qc , Qo 79 Qc
.Dl Qo Κασσάνδρα Qc , Qo 3944812 Qc , Qo Qc , Qo EX Qc

.Dl % nci-get-assignment-grades -c 1180637 -A
.Dl Qo Name Qc , Qo ID Qc , Qo 1180637:4089590 (Exam 1) Qc , Qo 1180637:4089591 (Exam 2) Qc , Qo 1180637:4089592 (Exam 3) Qc
.Dl Qo Arnold, Benedict Qc , Qo 399414 Qc , Qo 83.4 Qc , Qo 99 Qc , Qo  Qc
.Dl Qo Burr, Aaron Qc , Qo 348223 Qc , Qo 94 Qc , Qo Qc , Qo 79 Qc
.Dl Qo Κασσάνδρα Qc , Qo 3944812 Qc , Qo Qc , Qo 83 Qc , Qo EX Qc

.Dl % nci-get-assignment-grades -c 1180637 -t
.Dl Qo Name Qc , Qo ID Qc , Qo Total Qc , Qo Letter Grade Qc
.Dl Qo Arnold, Benedict Qc , Qo 399414 Qc , Qo 60 Qc , Qo A Qc
.Dl Qo Burr, Aaron Qc , Qo 348223 Qc , Qo 57.6  Qc , Qo B Qc
.Dl Qo Κασσάνδρα Qc , Qo 3944812 Qc , Qo 41.5 Qc , Qo B Qc
.Sh SEE ALSO
.Xr nci 1
.Xr nci-list-assignments 1
.Xr nci-list-courses 1
.Xr nci-put-assignment-grades 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
